mod_securityを + phpMyAdminの

数日前、私はインストールのModSecurityとphpMyAdminのでひどい問題を抱えていました. 一般的に問題があるという事実に根ざしています, phpMyAdminのようなSQLインジェクション攻撃のセキュリティモジュール知覚rekuestovete. 決定は再びちょうど些細なファイルphpmyadminの-Macvaは、ルールを除外についてです. ルールは、Apacheサーバーのフォルダにあります。それらmodsecurity.d / modsecurity_localrules.confを書きました. ここではルール自体はあります.

<LocationMatch “/phpmyadminの/ tbl_change.php”>
SecRuleEngineオフ
</LocationMatch>

<LocationMatch “/phpmyadminの/ sql.php”>
SecRuleEngineオフ
</LocationMatch>

<LocationMatch “/phpmyadminの/ managecontent.php”>
SecRuleEngineオフ
</LocationMatch>

<LocationMatch “/phpmyadminの/ import.php”>
SecRuleEngineオフ
</LocationMatch>

<LocationMatch “/phpmyadminの/ tbl_select.php”>
SecRuleEngineオフ
</LocationMatch>

<LocationMatch “/phpmyadminの/ tbl_replace.php”>
SecRuleEngineオフ
</LocationMatch>

返信を残します

あなたのメールアドレスが公開されることはありません. 必須フィールドは、マークされています *

アンチSPAM *